package com.example.union_ad_ssgf.event


/**
 * @param transId 服务端验证唯一id
 * @param customData 服务端验证的自定义信息
 * @param userId 服务端验证的用户信息
 */
class AdRewardEvent(
    posId: String?,
    adId: String?,
    viewId: Int?,
    action: String?,
    var transId: String,
    var customData: String,
    var userId: String,
) : AdEvent(posId, adId, viewId, action) {
    override fun toMap(): HashMap<String, Any?> {
        val newMap = super.toMap()
        newMap["transId"] = transId
        newMap["customData"] = customData
        newMap["userId"] = userId
        return newMap
    }
}